package com.hp.user.service.controller;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hp.user.client.service.AccountService;

import io.swagger.annotations.Api;

@RestController
@RequestMapping("/authentication")
@Api(value="身份认证")
public class AuthenticationController {
	
	@Autowired 
	private AccountService accountService;
	
	
    /**
     * 登录
     * @param phone 账号
     * @param verificationCode 验证码
     */
    @RequestMapping("/login")
    public void login(String phone,String verificationCode) {
    	accountService.login(phone, verificationCode);
    }

    /**
     * 登出
     */
    @RequestMapping("/loginOut")
    public void loginOut() {
    	
    }

    /**
     * 注册
     * 需要用户信息
     */
    @RequestMapping("/register")
    public void register() {

    }
    
    

}
